Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.couriers
Class CourierMarshalUnmarshalException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jboss.soa.esb.BaseException
                  org.jboss.soa.esb.couriers.CourierException
                      org.jboss.soa.esb.couriers.CourierMarshalUnmarshalException

All Implemented Interfaces:
  java.io.Serializable

    public class CourierMarshalUnmarshalException

extends CourierException

Problems with the Message that cause delivery to fail. Typically around marshalling or unmarshalling the Message.

Since:
  Version 4.2.1CP2
See Also:
  Serialized Form

Constructor Summary
`CourierMarshalUnmarshalException(java.lang.String message)` Construct an exception instance.
`CourierMarshalUnmarshalException(java.lang.String message, java.lang.Throwable cause)`
`CourierMarshalUnmarshalException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CourierMarshalUnmarshalException

    public CourierMarshalUnmarshalException(java.lang.String message)

  Construct an exception instance.

  Parameters:
    `message` - Exception message.

### CourierMarshalUnmarshalException

    public CourierMarshalUnmarshalException(java.lang.String message,
                                            java.lang.Throwable cause)

### CourierMarshalUnmarshalException

    public CourierMarshalUnmarshalException(java.lang.Throwable cause)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD